<?php defined('_JEXEC') or die;
/*
 * @package     mod_uk_accordion
 * @copyright   © 2020 Joomlaplates. All rights reserved.
 * @license     GNU General Public License version 3 or later; see http://www.gnu.org/licenses/gpl-3.0.txt
 */

?>
<style type="text/css">
img.hover-effect {
  vertical-align: top;
  transition: opacity 0.3s; /* Transition should take 0.3s */
  -webkit-transition: opacity 0.3s; /* Transition should take 0.3s */
  opacity: 1; /* Set opacity to 1 */
}
.uk-accordion > :nth-child(n+2) {
    margin-top: 10px;
}
img.hover-effect:hover {
  opacity: 0.5; /* On hover, set opacity to 2 */
}

</style>
<ul class="mod_uk_accordion<?php echo $accordeon_class; ?>" data-uk-accordion<?php echo $accordion_params; ?>>
    <?php
    foreach ($items as $item)
    {
        
        $item_content_class = trim($item->content_class) ? ' ' . trim($item->content_class) : '';
    ?>
    <li>
        <a href="#" class="uk-accordion-title <?php echo $title_class, $item_title_class; ?>"><<?php echo $title_style; ?> class="m-0 <?php echo $item_headline; ?>"><?php echo $item->title; ?></<?php echo $title_style; ?>></a>
        <div class="<?php echo $item_style; ?> <?php echo $item_space; ?> uk-accordion-content <?php echo $content_class, $item_content_class; ?>">
		<?php if ($item->img) { ?>
			<?php if ($item->img_popup) { ?>
			<div uk-lightbox>
				<a href="<?php echo $item->img; ?>">
				<img class="float-left mr-3 mb-2 hover-effect" style="width:<?php echo $item->img_width; ?>px;max-width:100%" src="<?php echo $item->img; ?>" alt="<?php echo $item->title; ?>">
				</a>
				
			</div>
			<?php } else { ?> 
			<img title="" class="float-left mr-3 mb-2" style="width:<?php echo $item->img_width; ?>px;max-width:100%" src="<?php echo $item->img; ?>" alt="<?php echo $item->title; ?>">
			
			<?php } ?>
		<?php } ?>
		<p><?php echo $item->content; ?></p>
		<?php if ($item->link) { ?>
		<a class="btn btn-sm btn-primary" href="<?php echo $item->link; ?>"><?php echo $item->link_text; ?></a>
		<?php } ?>
		</div>
    </li>
    <?php } ?>
</ul>
